org.codehaus.plexus.classworlds.event

## Interface ResourceEventListener

All Known Implementing Classes:
  ResourceEventDebug

    public interface ResourceEventListener

Created by IntelliJ IDEA.

### Method Summary

Methods
`void` `failed(java.lang.String name, Strategy strategy)`
`void` `found(java.lang.String name, Strategy strategy, java.net.URL found)`
`void` `lookup(java.lang.String name, Strategy strategy)`

### Method Detail

#### lookup

    void lookup(java.lang.String name,
              Strategy strategy)

#### failed

    void failed(java.lang.String name,
              Strategy strategy)

#### found

    void found(java.lang.String name,
             Strategy strategy,
             java.net.URL found)